Bug 208080 - BUG AHCI driver module does not load when starting FC6test3 x86_64, while installing the same os, it gets loaded however so installation works 100% fine, but starting the installed kernel doesn't support ahci, so unable to load sata hd and installed os
BUG AHCI driver module does not load when starting FC6test3 x86_64, while in...
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Peter Jones
: Reopened
: 208082 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2006-09-26 06:34 EDT by Alexander v/d Kooi
Modified: 2009-04-27 04:53 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-06 12:24:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Alexander v/d Kooi 2006-09-26 06:34:47 EDT
Description of problem:

Using ahci sata2 hardware on intel 975x chipset, or any other controller or 
chipset, after the Fedora Core 6 test3 x86_64 installation has been done, 
which went 100% ok, after a reboot, the os doesn't load the ahci module so 
that ahci support is not available thus the newly installed fc6-test3 os is 
not reachable/mountable/working because the ahci controller module isn't 
loaded. Perhaps an initrd.image problem, forgotten to load the ahci module.

Version-Release number of selected component (if applicable):

Fedora Core 6 test3 x86_64

How reproducible:

Just use ahci controller, i use it at intel975x chipset on asus p5wdh 

Steps to Reproduce:
1. install sata2 hd on motherboard
2. turn on ahci support in bios
3. install fedora core 6 test3 x86_64 (maybe other versions too), when done 
installing and rebooting, grub loads the kernel fine but the kernel doesn't 
support ahci, and ahci module is forgotten to load.
Actual results:

Non working os, since the os / sata ahci hd can't be found/mounted

Expected results:

I expected that since the installation, the ahci module/driver gets loaded 
automatically, in the actual firing up of the newly installed os, the ahci 
module would be loaded too, but this is not the case.

Additional info:

This bugreport may be on initrd, anaconda or grub, i actually don't know and 
have spend around 8 hours in 3 days to find out how to post a bug report, so 
forgive me if its not in the right topic.. i almost let go of it and don't 
report it because it was so hard for me to find out how to report it and where.
Comment 1 Peter Jones 2006-09-26 17:30:29 EDT
*** Bug 208082 has been marked as a duplicate of this bug. ***
Comment 2 Peter Jones 2006-09-27 13:04:29 EDT
This isn't something we can fix -- when we're installing, you have an ata_piix
controller.  When you enable AHCI, you no longer have one.  Don't do that.
Comment 3 Alexander v/d Kooi 2006-10-01 09:56:45 EDT
It *IS* a bug and it is something you can fix. Best Peter Jones, you have 
either not understood or read my bugreport properly. I made a very clear and 
detailed bugreport to prevent this, but well, i think you guys see so many 
reports that it may go wrong so now & often.
I also explained earlier how it can be fixed (in 2 ways).

I DONT have a ata_piix controller, neither linux sees my controller that way. 
Linux kernel 2.6.x sees the Intel 975x (ICH7) controller as a intel 975 sata 
controller not as ata_piix.

When running the ICH7 in compatible mode, it only sees the ata dvdrom drive, 
and not the sata connected drives. When turning the ICH7 in native sata mode 
(AHCI mode) then everything is detected normally.
While installing Fedora Core 6test3, linux loads the ahci driver module fine 
and everything works fine. Linux initialises the ICH7 controller fine, AHCI 
mode, sata disk loaded fine and installation goes 100% perfect and ok.

Now, when starting the newly installed installation, tadaa, what happens? The 
AHCI driver module DOES NOT get loaded. Why? Because the initscripts or initrd 
doesn't load or include the ahci driver module, OR because AHCI isn't compiled 
in the kernel.
So the only thing you guys have to fix is enabling AHCI sata support in kernel 
(even lower version kernels did support it already), or make AHCI support in 
module form, but make sure it gets loaded on startup. So initscripts and 
initrd has to be checked for this to fix the bug.

Extra: i installed ubuntu-64, this distro uses a lower version kernel but they 
compiled ahci driver into kernel (no module), and therefore it works 100% fine 
on ICH7 in sata native (ahci) mode. Fedora Core would be fine too, if you took 
this bugreport seriously.

Thanks ahead. And please forgive my frustrations, i have little time to spend 
on computer, and have been (linux)developer for years and years, and then when 
i try to help fedora/redhat, my bugreport wasn't take seriously, that 
irritated me incredebly, but im not the kind of person to shout or get 
irritated normally, rather live to help the world if you get what i mean.
Thanks for your time and for fixing this bug. Many Intel Conroe (core2duo) 
users will be very happy once you fixed this bug.

Comment 4 Alexander v/d Kooi 2006-10-02 07:06:06 EDT
Okay.. some people have said my descriptions where maybe so long that it 
turned out to be a vague story instead of clear description. Here i try to be 

System: P5WDH Conroe intel 975X sata controller. 
Installation Ok, AHCI driver module loads Ok, installation finished OK.
Booting the newly installed os *NOT* Ok, because Fedora forgets to load AHCI 
driver module.

Can either be fixed by making sure AHCI driver *DOES* gets loaded, or compile 
AHCI support into kernel in future. Then bug is fixed.

Comment 5 Steve 2006-10-06 11:42:25 EDT
My internal drives are not seen, and I have:
Dell Inspiron 9300 - 915 intel chipset - i386

as a side note:
At first ?Anaconda?

I do arguement askmethod
and when it comes time to select location and if i say choose local hard drive i
get error "no drives detected"

but if i go back as far as i can to language selection, and do everything over,
it will detect drives but only usb drives

and most likely i dont see AHCI or ATA_PIIX or much of anything else getting
built into the kernel as not everone has this, so it would probably stay a module.
Comment 6 Alexander v/d Kooi 2006-10-18 10:26:46 EDT
Steve your report is a bit offtopic. The issue discussed here is not usb 
drives neither if lots of people use AHCI or ATA_PIIX controllers, 

The topic is that the fedora core installation loads its AHCI module driver 
fine, but when starting the freshly installed os, it lacks loading the same 
AHCI module driver.
Comment 7 Matthew Miller 2007-04-06 12:07:09 EDT
Fedora Core 5 and Fedora Core 6 are, as we're sure you've noticed, no longer
test releases. We're cleaning up the bug database and making sure important bug
reports filed against these test releases don't get lost. It would be helpful if
you could test this issue with a released version of Fedora or with the latest
development / test release. Thanks for your help and for your patience.

[This is a bulk message for all open FC5/FC6 test release bugs. I'm adding
myself to the CC list for each bug, so I'll see any comments you make after this
and do my best to make sure every issue gets proper attention.]
Comment 8 Bug Zapper 2008-04-03 23:51:12 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 9 Bug Zapper 2008-05-06 12:24:47 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 10 Egas Krad 2009-04-27 04:53:58 EDT
This bug is reproduced in Fedora 9. Installed in an AHCI enabled system. Installation and everything was ok. Rebooted and halted at loading [udev] with no oops.

Other documents mentioned that recompiling ramdisk with AHCI solved the problem. However since it is time consuming to recompile ramdisk when your system don't even load, and more and more computers now shipped with no IDE option but pure AHCI or RAID option, this bug would soon stopped most new computer from loading Fedora, except for those who have too much time to recompiling image for every new installation in resure mode.

Note You need to log in before you can comment on or make changes to this bug.